# Class StopRequest

#### Hierarchy

- unknown
  - StopRequest

- Defined in src/protobuf/grpc_pb.d.ts:2348
- Defined in src/protobuf/grpc_pb.d.ts:2357

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new StopRequest(): StopRequest

- #### Returns StopRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2349

### toObject

- toObject(includeInstance?: boolean): StopRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns StopRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2350

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): StopRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StopRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2353

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StopRequest, reader: BinaryReader): StopRequest

- #### Parameters

  - ##### message: StopRequest

  - ##### reader: BinaryReader

  #### Returns StopRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2354

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: StopRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: StopRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2352

### `Static` toObject

- toObject(includeInstance: boolean, msg: StopRequest): StopRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StopRequest

  #### Returns StopRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2351

Generated using TypeDoc